Memory zone
MessagePack C

## Classes

struct | msgpack_zone_finalizer
struct | msgpack_zone_finalizer_array
struct | msgpack_zone_chunk_list
struct | msgpack_zone

## Macros

#define | MSGPACK_ZONE_CHUNK_SIZE 8192

## Typedefs

typedef struct msgpack_zone_finalizer | msgpack_zone_finalizer
typedef struct msgpack_zone_finalizer_array | msgpack_zone_finalizer_array
typedef struct msgpack_zone_chunk | msgpack_zone_chunk
typedef struct msgpack_zone_chunk_list | msgpack_zone_chunk_list
typedef struct msgpack_zone | msgpack_zone

## Functions

MSGPACK_DLLEXPORT bool | msgpack_zone_init (msgpack_zone *zone, size_t chunk_size)
MSGPACK_DLLEXPORT void | msgpack_zone_destroy (msgpack_zone *zone)
MSGPACK_DLLEXPORT msgpack_zone * | msgpack_zone_new (size_t chunk_size)
MSGPACK_DLLEXPORT void | msgpack_zone_free (msgpack_zone *zone)
MSGPACK_DLLEXPORT bool | msgpack_zone_is_empty (msgpack_zone *zone)
MSGPACK_DLLEXPORT void | msgpack_zone_clear (msgpack_zone *zone)

## Detailed Description

## Macro Definition Documentation

## MSGPACK_ZONE_CHUNK_SIZE

#define MSGPACK_ZONE_CHUNK_SIZE 8192

## Typedef Documentation

## msgpack_zone

typedef struct msgpack_zone msgpack_zone

## msgpack_zone_chunk

typedef struct msgpack_zone_chunk msgpack_zone_chunk

## msgpack_zone_chunk_list

typedef struct msgpack_zone_chunk_list msgpack_zone_chunk_list

## msgpack_zone_finalizer

typedef struct msgpack_zone_finalizer msgpack_zone_finalizer

## msgpack_zone_finalizer_array

typedef struct msgpack_zone_finalizer_array msgpack_zone_finalizer_array

## Function Documentation

## msgpack_zone_clear()

MSGPACK_DLLEXPORT void msgpack_zone_clear | ( | msgpack_zone * | zone | ) |

## msgpack_zone_destroy()

MSGPACK_DLLEXPORT void msgpack_zone_destroy | ( | msgpack_zone * | zone | ) |

## msgpack_zone_free()

MSGPACK_DLLEXPORT void msgpack_zone_free | ( | msgpack_zone * | zone | ) |

## msgpack_zone_init()

MSGPACK_DLLEXPORT bool msgpack_zone_init | ( | msgpack_zone * | zone,
|  | size_t | chunk_size
| ) |  |

## msgpack_zone_is_empty()

MSGPACK_DLLEXPORT bool msgpack_zone_is_empty | ( | msgpack_zone * | zone | ) |

## msgpack_zone_new()

MSGPACK_DLLEXPORT msgpack_zone* msgpack_zone_new | ( | size_t | chunk_size | ) |